/// <reference types="react" />
import { BaseComponent } from '../base';
import { IKeyboardProps, IKeyboardState } from './keyboard.interface';
export declare class Keyboard extends BaseComponent<Keyboard, IKeyboardProps, IKeyboardState> {
    static defaultProps: IKeyboardProps;
    /**
     * @stable [03.09.2018]
     * @param {IKeyboardProps} props
     */
    constructor(props: IKeyboardProps);
    /**
     * @stable [03.09.2018]
     */
    componentDidMount(): void;
    /**
     * @stable [03.09.2018]
     */
    componentWillUnmount(): void;
    /**
     * @stable [08.05.2018]
     * @returns {JSX.Element}
     */
    render(): JSX.Element;
    /**
     * @stable [08.05.2018]
     * @param {KeyboardKeyT} key
     */
    private onSelect;
    /**
     * @stable [08.05.2018]
     * @returns {IJqInput}
     */
    private readonly jField;
    /**
     * @stable [21.08.2018]
     * @returns {number}
     */
    private readonly currentPosition;
}
