/// <reference types="react" />
import { IUniversalListProps } from '../../props-definitions.interface';
import { UniversalList } from './universal-list.component';
export declare abstract class BaseList<TComponent extends BaseList<TComponent, TProps, TState>, TProps extends IUniversalListProps, TState = {}> extends UniversalList<TComponent, TProps, TState> {
    /**
     * @stable [23.04.2018]
     * @param {HTMLElement} item
     * @param {HTMLElement} view
     */
    protected doScrollIntoView(item: HTMLElement, view: HTMLElement): void;
    /**
     * @stable [09.06.2018]
     * @returns {JSX.Element}
     */
    protected getMessage(): JSX.Element;
    /**
     * @stable [09.06.2018]
     * @returns {JSX.Element}
     */
    protected getEmptyMessageAction(): JSX.Element;
    /**
     * @stable [09.09.2018]
     * @returns {JSX.Element}
     */
    protected readonly addActionElement: JSX.Element;
}
