"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var util_1 = require("../../util");
var universal_component_1 = require("./universal.component");
var BaseComponent = /** @class */ (function (_super) {
    __extends(BaseComponent, _super);
    function BaseComponent() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    BaseComponent.prototype.componentWillUpdate = function (nextProps, nextState, nextContext) {
        this.plugins.forEach(function (plugin) {
            return plugin.componentWillUpdate && plugin.componentWillUpdate(nextProps, nextState, nextContext);
        });
    };
    /**
     * @stable [18.06.2018]
     * @param {IBasicEvent} event
     */
    BaseComponent.prototype.stopEvent = function (event) {
        util_1.cancelEvent(event);
    };
    Object.defineProperty(BaseComponent.prototype, "selfAsHtmlElement", {
        /**
         * @stable [10.08.2018]
         * @returns {HTMLElement}
         */
        get: function () {
            return this.self;
        },
        enumerable: true,
        configurable: true
    });
    return BaseComponent;
}(universal_component_1.UniversalComponent));
exports.BaseComponent = BaseComponent;
//# sourceMappingURL=base.component.js.map